
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Qt之自定义搜索框 / iVAN</title>

    <meta name="description" content="Qt之自定义搜索框 简述 关于搜索框,大家都经常接触.例如:浏览器搜索.Windows资源管理器搜索等. 当然,这些对于Qt实现来说毫无压力,只要思路清晰,分分钟搞定. 简述 效果 细节分析 Coding 源码下载 效果 细节分析 实现细节需要如下步骤: 组合实现,输入框+按钮 事件关联 获取输入文本,进行文本搜索 为了更人性.易用,这里有一些细节需要注意: 输入框的文本不能处于按钮之下 输入框无文本时必须给与友好性提示 按钮无文本描述,一般需要给予ToolTip提示 按钮样式-正常.滑过.按下,以及鼠标滑过鼠标样">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Qt之自定义搜索框</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>简述</h1>
<p>关于搜索框，大家都经常接触。例如：浏览器搜索、Windows资源管理器搜索等。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTEyMTkxMDIzMDk0OTM=.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTEyMTkxMDIzMjMzMjM=.jpg"></p>
<p>当然，这些对于Qt实现来说毫无压力，只要思路清晰，分分钟搞定。</p>
<ul>
<li>简述</li>
<li>效果</li>
<li>细节分析</li>
<li>Coding</li>
<li>源码下载</li>
</ul>
<h1>效果</h1>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTEyMTkxMDI0NTQ4MjE=.jpg"></p>
<h1>细节分析</h1>
<p>实现细节需要如下步骤：</p>
<ol>
<li>组合实现，输入框+按钮</li>
<li>事件关联</li>
<li>获取输入文本，进行文本搜索</li>
</ol>
<p>为了更人性、易用，这里有一些细节需要注意：</p>
<ol>
<li>输入框的文本不能处于按钮之下</li>
<li>输入框无文本时必须给与友好性提示</li>
<li>按钮无文本描述，一般需要给予ToolTip提示</li>
<li>按钮样式-正常、滑过、按下，以及鼠标滑过鼠标样式手型，</li>
</ol>
<p>这些都想清楚了，我们就能快速实现一个搜索框了。</p>
<h1>Coding</h1>
<p>搜索框实现</p>
<pre><code>m_pSearchLineEdit = new QLineEdit();
QPushButton *pSearchButton = new QPushButton(this);

pSearchButton-&gt;setCursor(Qt::PointingHandCursor);
pSearchButton-&gt;setFixedSize(22, 22);
pSearchButton-&gt;setToolTip(QStringLiteral("搜索"));
pSearchButton-&gt;setStyleSheet("QPushButton{border-image:url(:/images/icon_search_normal); background:transparent;} \
                                     QPushButton:hover{border-image:url(:/images/icon_search_hover)} \
                                     QPushButton:pressed{border-image:url(:/images/icon_search_press)}");

//防止文本框输入内容位于按钮之下
QMargins margins = m_pSearchLineEdit-&gt;textMargins();
m_pSearchLineEdit-&gt;setTextMargins(margins.left(), margins.top(), pSearchButton-&gt;width(), margins.bottom());
m_pSearchLineEdit-&gt;setPlaceholderText(QStringLiteral("请输入搜索内容"));

QHBoxLayout *pSearchLayout = new QHBoxLayout();
pSearchLayout-&gt;addStretch();
pSearchLayout-&gt;addWidget(pSearchButton);
pSearchLayout-&gt;setSpacing(0);
pSearchLayout-&gt;setContentsMargins(0, 0, 0, 0);
m_pSearchLineEdit-&gt;setLayout(pSearchLayout);

connect(pSearchButton, SIGNAL(clicked(bool)), this, SLOT(search()));</code></pre>
<p>槽函数实现</p>
<pre><code>void Widget::search()
{
    QString strText = m_pSearchLineEdit-&gt;text();
    if (!strText.isEmpty())
    {
        QMessageBox::information(this, QStringLiteral("搜索"), QStringLiteral("搜索内容为%1").arg(strText));
    }
}</code></pre>
<h1>源码下载</h1>
<ul>
<li><a href="http://download.csdn.net/detail/u011012932/9367684" rel="external nofollow noreferrer">Qt之自定义搜索框</a></li>
</ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 02:18:05</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Qt之自定义搜索框的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MArNE3p.html" rel="bookmark">Android自定义View&mdash;&mdash;自定义搜索框（SearchView）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 在Android开发中,当系统数据项比较多时,常常会在app添加搜索功能,方便用户能快速获得需要的数据.搜索栏对于我们并不陌生,在许多app都能见到它,比如豌豆荚 在某些情况下,我们希望我们的自动补全信息可以不只是纯文本,还可以像豌豆荚这样,能显示相应的图片和其他数据信息,因此Android给我们提供的AutoCompleteTextView往往就不够用,在大多情况下我们都需要自己去实现搜索框. 分析 根据上面这张图,简单分析一下自定义搜索框的结构与功能,有  1. 搜索界面大致由三部门组			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlV40qz.html" rel="bookmark">WPF自定义搜索框代码分享&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先下载搜索图标: 控件中的搜索图标下载地址:http://www.easyicon.net/1183666-Search_icon.html  搜索框设计过程比较简单:  1.先定义一个Rectangle作为背景  2.然后中间放TextBox输入,可以重写其中的模板.提示语Label放在模板中,可以在模板的触发器中控制隐藏显示~  3.搜索按钮-大家随便在网上下个就行了.  UserControl界面:  &lt;UserControl x:Class=&quot;WpfApplication18.S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7J0nRp.html" rel="bookmark">wordpress自定义搜索框和结果页面的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于在某个主题中想添加很多自己想要的效果给搜索框和结果页面的人来说这绝对是一个好的方案,其实代码很简单而且很少,关键是几个要注意的地方. 首先是搜索框的代码如下:  代码如下 复制代码 &lt;form role=&quot;search&quot; method=&quot;get&quot; id=&quot;searchform&quot; action=&quot;&lt;?php echo home_url( '/' ); ?&gt;&quot;&gt;     &lt;input class=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNJ25p.html" rel="bookmark">自定义搜索功能Android实现&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先看看效果图: 源码下载:自定义搜索功能 代码: SearchActivity.java package com.bzu.gxs.search.activity; import android.app.Activity; import android.os.Bundle; import android.support.v7.widget.Toolbar; import android.view.View; import android.widget.AdapterView; import and			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLGgXM.html" rel="bookmark">百度开放搜索框提示为中小网站注入动力</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于该功能,用户在搜索框中输入汉字或拼音时会动态地获得相关的搜索提示和建议,使网民能够更轻而易举地找到自己的搜索目标.根据测算,深受网民欢迎的搜索框提示功能自推出以来使用率已经接近50%,并能够帮助用户减少输入成本33%以上.凭借以上优势,在页面中嵌入该功能的中小网站不但可以有效地降低用户的使用成本,而且还会在改善用户体验的同时,令网站的用户黏性明显的提升. 据了解,此次开放的搜索框提示功能模块不仅在服务上远远比竞争对手稳定,而且为中小网站站长们提供了三种引入方式,网站可以根据自身的具体情况和需			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8gQBPM.html" rel="bookmark">ios-iOS 有没有好用搜索框控制器的第三方框架？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 iOS 有没有好用搜索框控制器的第三方框架? iOS 有没有好用搜索框控制器的第三方框架? iOS 有没有好用搜索框控制器的第三方框架? 解决方案 要么用系统的 UISearchController ,要么自定义搜索框 解决方案二: 要么用系统的 UISearchController ,要么自定义搜索框 解决方案三: 要么用系统的 UISearchController ,要么自定义搜索框			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMN2vWM.html" rel="bookmark">自定义webkit搜索框样式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				每个浏览器都可以有自己的行为和表现,只是webkit在apple的带领下,在UI上走的更远了一点儿,但是却给我们带来了点儿困扰,因为很多情况下,我们希望搜索框在所有的浏览器上表现一致... 用过mac的同学应该了解这个情况: 就拿前端观察右上角的搜索框来说,在Windows下和mac下的表现就完全不一样啊,mac下(包括safari和chrome),除了宽度外,你设置的其它样式基本是无效的,这种细长的界面和iOS上的搜索框是一样的,或许苹果认为,搜索框就应该是这样的? 那我们在很多情况下需要让页			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6BwDz.html" rel="bookmark">XP系统开始菜单没有&OpenCurlyDoubleQuote;搜索框&rdquo;怎么回事</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				XP系统开始菜单没有&quot;搜索框&quot;怎么回事   恢复开始菜单中&quot;搜索&quot;的方法与步骤: 1,第一个方法,在开始处右键,在弹出菜单中选择&quot;属性&quot;,进入窗口后,按照&quot;[开始]菜单&quot;-&gt;&quot;自定义&quot;-&gt;&quot;高级&quot;-&gt;&quot;[开始]菜单项目&quot;此路径,在列表框中找到&quot;搜索&quot;这一项,勾选,然后按&quot;确定&quot;. 2,这时,在开始菜单中,就已经			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmGoB5b.html" rel="bookmark">Android---浮动搜索框（SearchManager）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				浮动搜索框的使用其实并不难,而是在于它的配置非常之繁琐,对于它的使用主要是方便开发者对于程序中有搜索业务时,更好的设计UI SearchManager具体使用步骤如下: (1)配置search bar的相关信息,新建一个位于res/xml下的一个searchable.xml的配置文件,如默认值.是否有搜索建议或者语音搜索. 代码 &lt;searchable xmlns:android=http://schemas.android.com/apk/res/android   &lt;!-- label为搜			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEEWqb.html" rel="bookmark" class="title">CSS网页布局入门教程：纵向导航菜单</a>
					<div>
						核心提示:纵向导航菜单也是网站应用中的一种重要形式,所谓纵向导航菜单是指放置在网页左侧或右侧的从上至下排列的一种导航形式.先看一下效果吧! 纵向导航菜单也是网站应用中的一种重要形式,所谓纵向导航菜单是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7LRZb.html" rel="bookmark" class="title">PHP 挑战 J2EE 和 &period;NET</a>
					<div>
						j2ee 继PHP获得&quot;Programming Language of 2004&quot;大奖之后,由Zend公司主导的PHP,开始向J2EE和.NET发起挑战,抢夺WEB企业应用开发市场 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNZQyM.html" rel="bookmark" class="title">无线路由器无法上网问题的解决</a>
					<div>
						在有线网络随处可见的日子里,无线局域网的&quot;身影&quot;正朝我们越走越近,大有与有线网络并驾齐驱的架势.考虑到目前的无线局域网都是通过无线路由器来组网的,无线局域网能否高效上网与无线路由器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxOnWb.html" rel="bookmark" class="title">通过预编译头文件来提高CB的编译速度</a>
					<div>
						C++ Builder是最快的C++编译器之一,从编译速度来说也可以说是最快的win32C++编译器了.除了速度之外,C++builder的性能也在其它C++编译器的之上,但许多delphi程序员仍受 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyG2ab.html" rel="bookmark" class="title">PS鼠绘梦幻森林漫步的魔法师</a>
					<div>
						教程作者不仅分享了如何绘制一幅唯美的人物插画,而且还非常详细的介绍了自己如何创作及完成作品的思路.这些都是非常难得的,因为原创的过程中,难免会有一些缺陷,如画面中背景太空洞等,这些都需要随时做一些调整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AJ8qp.html" rel="bookmark" class="title">9个实用的PHP函数</a>
					<div>
						即使使用 PHP 多年,也会偶然发现一些未曾了解的函数和功能.其中有些是非常有用的,但没有得到充分利用.并不是所有人都会从头到尾一页一页地阅读手册和函数参考! 1.任意参数数目的函数 你可能已经知道, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNDYZb.html" rel="bookmark" class="title">excel怎么删除重复的数据&quest;</a>
					<div>
						  excel怎么删除重复的数据?做excel表时,经常需要查找重复项,并将它去除.通过手工去找,那是非常费事的.我们可以采用条件格式将重复项用不同的颜色显示出来,也可以用一些公式将重复项找出来,找出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq88nRb.html" rel="bookmark" class="title">用Photoshop制作蝶蝎美人</a>
					<div>
						先看看效果图: 效果图 教程所用的图片素材: 素材一 素材二 素材三 Open the girl skin photo: File -Open (ctrl+o) 打开一张女孩子的图片:点击文件-打开( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJvQ3p.html" rel="bookmark" class="title">快速启用U盘的小技巧</a>
					<div>
						  在使用U盘的过程中,如果你&quot;安全删除硬件&quot;后没把U盘拔下,忽然又想起要继续使用U盘,你会怎么办?一般情况下都是拔下重插.有没有更简单的方法?有!但是先说个更复杂的: 在&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLay60z.html" rel="bookmark" class="title">U盘装系统找不到硬盘、c盘解决方法</a>
					<div>
						  现在的社会提倡增加动手能力,自己可以搞定的事情绝不麻烦他人,所以重装系统这件事在现在来说是很简单的事情了,实现的方法有很多种,人人都是技术员了.虽然说重装系统这件事是很简单的事情,但是我们自己装系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQgGOp.html" rel="bookmark" class="title">Deepgreen DB 是什么？</a>
					<div>
						Deepgreen DB 全称 Vitesse Deepgreen DB,它是一个可扩展的大规模并行(通常称为MPP)数据仓库解决方案,起源于开源数据仓库项目Greenplum DB(通常称为GP或G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NmnLM.html" rel="bookmark" class="title">开放数据中心联盟发布2&period;0版推动标准化</a>
					<div>
						开放数据中心联盟(ODCA,http://www.aliyun.com/zixun/aggregation/13722.html&quot;&gt;Open Data Center Alliance) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/bamOvNb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vaHRiZWFyLnFpbml1ZG4uY29tL3Fpbml1LzEyODAvaW1hZ2UvZTBhNWJiNWEwOGIxZjViM2U2MTJhZTJhYjJhNTMyYWMuanBn.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/bamOvNb.html" rel="bookmark" class="title">2014上半年国内安卓App数据报告</a>
					<div>
						整体情况 2014上半年,国内安卓APP下载量呈现稳步增长的趋势,5月份的环比增长率超过20%. 应用类APP和游戏类APP 1月到6月的环比增长率如下表,两大类APP在上半年中的平均环比增长率均为1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmrokz.html" rel="bookmark" class="title">Orace查询数据出现乱码的问题解决思路&lowbar;oracle</a>
					<div>
						问题描述: 经常有些朋友会遇到,我明明是输入的正确中文,为什么我在另外一台电脑上查询却出现乱码啦?其实这个是数据库在进行字符集转换的时候出现了问题, 下面通过测试来描述具体的情况: 1.环境 Orac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqKPLz.html" rel="bookmark" class="title">MongoDB管理&colon; 使用killOp干掉Long Running Operation</a>
					<div>
						MongoDB提供了killOp请求,用于干掉运行时间很长的请求,killOp通常需要与currentOp组合起来使用:先根据currentOp查询到请求的opid,然后根据opid发送killOp的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke7w1b.html" rel="bookmark" class="title">通过final变量实现条件编译</a>
					<div>
						首先来比较两段代码所产生的中间代码:  public class AppConfig {     public static final boolean debug = true; }public c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAd6qp.html" rel="bookmark" class="title">&lbrack;MySQL学习&rsqb; MySQL&sol;Innodb shutdown流程</a>
					<div>
						写的比较简略////// ----------- 我们通过mysqladmin来进行shutdown,会对mysqld发送SIGKILL信号,当接收到信号后,mysqld创建一个新的线程,线程调用函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlDXmp.html" rel="bookmark" class="title">mysql  请教大神关于插入自增id问题</a>
					<div>
						问题描述 mysql 请教大神关于插入自增id问题 mysql : insert into A(nameagecoun) values('小王''10''XXX+本条自增id');insert int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Rlwmz.html" rel="bookmark" class="title">linux驱动开发--内核定时器</a>
					<div>
						1.内核定时器 时钟中断:由系统的定时硬件以周期性的时间间隔发生,这个间隔(也就是频率)由内核根据常数HZ来确定. HZ常数:她是一个与体系结构无关的常数,可以配置50-1200之间,可以在内核中配置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKknBb.html" rel="bookmark" class="title">linux系统中下WEB网站备份脚本&lpar;网站文件&sol;数据库&rpar;</a>
					<div>
						简单的网站备份脚本  代码如下 复制代码 #!/bin/bash #backup database mypw=CactiEZ newtime=$(date +%Y%m%d) if [ -d /var/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke88wb.html" rel="bookmark" class="title">php产生任意长度的字符串&plus;数字随机数的代码</a>
					<div>
						可以自定义产生什么字符串以及多长    [PHP]代码 function random($length) { $hash = ''; $chars = 'ABCDEFGHIJKLMNOPQRSTUVW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xQVXb.html" rel="bookmark" class="title">我们把 iOS 的 Cocoa Touch 移植到了 Android</a>
					<div>
						这是我最近一年在做的项目,用我们老大的话说,就是&quot;能不能弄一个东西,让我的 iOS 程序一行代码不用改,却能运行在 Android 上&quot;.为了这个目标,我们最后弄出了个这样的东西. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBGnkz.html" rel="bookmark" class="title">web页面文章显示问题</a>
					<div>
						问题描述 以前听老师说:页面上的文章都是保存在txt文件中,不可能保存在数据库我就纳闷了这是怎么实现的用I/O去读文件然后传到页面在页面上显示...要是有图片有样式怎么办没做过,没思路希望高手推荐下有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeOPPM.html" rel="bookmark" class="title">socket-关于SocketAsyncEventArgs异步发送数据后程序自动退出的问题</a>
					<div>
						问题描述 关于SocketAsyncEventArgs异步发送数据后程序自动退出的问题 最近用SocketAsyncEventArgs来做socket异步通信的服务器,按照官方的例程来写代码,发现异步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod9dBM.html" rel="bookmark" class="title">hadoop eclipse jar-Centos下怎么将一个jar文件复制到另一个jar文件中的lib目录中去</a>
					<div>
						问题描述 Centos下怎么将一个jar文件复制到另一个jar文件中的lib目录中去 Eclipse配置Hadoop开发环境时,需要将Hadoop中的lib文件夹下的jar文件拷贝到,hadoop-e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22m0Bb.html" rel="bookmark" class="title">JAVA编程手机卧底软件</a>
					<div>
						问题描述 我是一个JAVAME的初学者,就是为了编写一个Java手机卧底软件才,开始学习JavaMe的,请问一下,各位大侠们,能不能给小弟,一些思路或者是一些,关于这方面的学习向导,大家可以各抒己见. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJ38kp.html" rel="bookmark" class="title">飞利浦男士理容引领脱光&OpenCurlyDoubleQuote;型&rdquo;动</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 女友几时有?把酒问青天.不知脱离光棍,要等 多少年--单身 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRQeWp.html" rel="bookmark" class="title">在 Unix 系统上查找数据的最佳工具和技巧</a>
					<div>
						有时候在 Unix 系统上查找信息就如同大海捞针.如果重要的信息被淹没在大量文本中,它们也很难被注意到.目前我们中的很多人都在处理&quot;大数据&quot; -- 从数十亿字节大小的日志文件和巨大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xDERb.html" rel="bookmark" class="title">SoC嵌入式软件架构设计</a>
					<div>
						内存是SoC(System on Chip,片上系统)集成设计的重要模块,是SoC中成本比重较大的部分.内存管理的软硬件设计是SoC软件架构设计的重要一环,架构设计师必须要在成本和效率中取得平衡,做到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoQO8M.html" rel="bookmark" class="title">收费越来越高高清电视别搞成&OpenCurlyDoubleQuote;高价电视&rdquo;</a>
					<div>
						28日起,中央电视台.北京卫视.东方卫视.湖南卫视等九家电视台将开播高清电视节目.收看看高清电视节目,市民需要一个高清机顶盒和一台高清电视机.(9月28日&lt;重庆晚报&gt;) 电视信号向着高清晰 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
